package research_group_relation

// ResearchGroupRelation 研究方向分组关系表
type ResearchGroupRelation struct {
	ID              int `gorm:"primaryKey;column:id;type:int(10) unsigned;not null" json:"-"`
	ResearchGroupID int `gorm:"column:research_group_id;type:int(10) unsigned;not null;default:0" json:"researchGroupId"` // 研究方向分组ID
	AdminID         int `gorm:"column:admin_id;type:int(10) unsigned;not null;default:0" json:"adminId"`                  // 研究员ID
}

// TableName get sql table name.获取数据库表名
func (m *ResearchGroupRelation) TableName() string {
	return "research_group_relation"
}

// ResearchGroupRelationColumns get sql column name.获取数据库列名
var ResearchGroupRelationColumns = struct {
	ID              string
	ResearchGroupID string
	AdminID         string
}{
	ID:              "id",
	ResearchGroupID: "research_group_id",
	AdminID:         "admin_id",
}
